Problem for downgrade EmuNand 10.5 -> 9.0

Discussion in '3DS - Flashcards & Custom Firmwares' started by Asia81, Feb 14, 2016.

  1. Asia81
    OP

    Asia81 In my Ecchi World <3

    Member
    5,150
    2,567
    Nov 15, 2014
    France
    Albi
    Hi,

    I need to downgrade my emunand GW3D from 10.5 to 9.0 (N3DS), but when I install the whole folder of cia with DevMenu, it show me an error with:

    Level: LEVEL_STATUS(-7)
    Summary: SUMMARY_INVALID_ARGUMENT(7)
    Module: MODULE_NN_AM(32)
    Desc: DESCRIPTION_ALREADY_EXIST(102)
     
  2. SomeGamer

    SomeGamer GBAtemp Guru

    Member
    5,804
    2,773
    Dec 19, 2014
    Hungary
    It's because the AM module doesn't let CIAs with lower versions overwrite existing ones. Use sysupdater's downgrade function! It removes the existing titles before installing.
     
  3. Asia81
    OP

    Asia81 In my Ecchi World <3

    Member
    5,150
    2,567
    Nov 15, 2014
    France
    Albi
    Ok, let's see
     
  4. squee666

    squee666 Advanced Tech Pleb

    Member
    1,592
    897
    Sep 17, 2010
    Belfast
    if that fails you can always dump you title.db,import.db seeds.bin etc everything related to game data and settings/saves.

    Then just clone your 9.0 sysnand to Emunand and before starting emunand inject all the files again.

    It will do initial factory reset setup but them load directly into emunand with all your games and them theme you had set before.
     
  5. Asia81
    OP

    Asia81 In my Ecchi World <3

    Member
    5,150
    2,567
    Nov 15, 2014
    France
    Albi
    Ok, SysUpdater using downgrad function is good.
    But it's strange, it downgraded to 9.2, and I download a pack of CIA with firmware 9.0 :huh:
     
  6. SomeGamer

    SomeGamer GBAtemp Guru

    Member
    5,804
    2,773
    Dec 19, 2014
    Hungary
    C'mon can't you stand a version only different from what you wanted in Home Menu and NVer? :P
     
    Thelostrune likes this.
  7. Urbanshadow

    Urbanshadow GBAtemp Maniac

    Member
    1,306
    478
    Oct 16, 2015
    Gateway uses firmlaunch? if so, uses emunand's or sysnand's native_firm?

    There's this thing about booting 10.5 with a 9.0 or 9.2 native_firm granting you access to arm9 on emunand and such. Don't quote on me right now, but I think so.
     
    Last edited by Urbanshadow, Feb 14, 2016